@echo off
echo Please wait while installing drivers. Do not turn off or unplug the computer power during the installation...
for /F "eol=; tokens=1 delims==" %%i in ('dir /b C:\Windows\inf\oem*.inf') do (
    if "%%i" == "" break
    call %~dp0OEMFILE.cmd %%i
)

"%~dp0devcon.exe" rescan
%windir%/system32/pnputil /delete-driver net2ic68.inf /uninstall /force

"%~dp0devcon.exe" update "%~dp0e2f.inf" "PCI\VEN_8086&DEV_125C"
"%~dp0devcon.exe" update "%~dp0e2f.inf" "PCI\VEN_8086&DEV_125B"
"%~dp0devcon.exe" update "%~dp0e2f.inf" "PCI\VEN_8086&DEV_15F2"
"%~dp0devcon.exe" update "%~dp0e2f.inf" "PCI\VEN_8086&DEV_15F3"

if NOT ErrorLevel 1 goto End

:NoDriver
%~d0
cd %~dp0
"%~dp0devcon.exe" rescan
%windir%/system32/pnputil /add-driver "%~dp0e2f.inf" /install

:End

exit